Signal runs
Get Run Pipeline
Get the full pipeline waterfall for a signal run.
AuthorizationBearer <token>
In: header
Path Parameters
run_idstring
Header Parameters
x-tenant-id?string|null
Response Body
application/json
application/json
curl -X GET "https://api.obert.io/api/signal-runs/string/pipeline"{
"run": {
"id": "string",
"status": "pending",
"signal_type": "string",
"signal_label": "string",
"started_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z",
"signal_config": {
"type": "keyword_discovery",
"entity_key": "string",
"display_name": "string",
"track": "all",
"discovery_targets": [
"posts",
"leads"
],
"schedule_interval_hours": 24,
"max_posts_per_run": 15,
"date_posted": "past-week",
"max_leads_per_post": 50,
"max_fetched_engagers": 200,
"quality_gate_enabled": true,
"content_relevance_enabled": true,
"author_relevance_enabled": true,
"min_engagement_total": 10,
"min_author_connections": 500,
"min_author_followers": 500,
"max_posts_searched": 100,
"lead_quality_gate_enabled": true,
"lead_min_connections": 500,
"lead_filter_locations": [
"string"
]
},
"results": {},
"leads_added": 0
},
"posts_summary": {
"total": 0,
"new": 0,
"processing": 0,
"filtered": 0,
"quality_gate_failures": {
"engagement": 0,
"language": 0,
"content_relevance": 0,
"author_relevance": 0,
"author": 0,
"location": 0
}
},
"lead_funnel": {
"total_fetched": 0,
"total_qualified": 0,
"total_filtered": 0,
"prefilter_failures": {
"relevancy": 0,
"connections": 0,
"location": 0
},
"icp_high": 0,
"icp_medium": 0,
"icp_low": 0,
"auto_added": 0,
"queued": 0
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}